<html>
<head>
<title>Ogre::EAGLES2Context Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EAGLES2Context.html">EAGLES2Context</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EAGLES2Context Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EAGLES2Context" --><!-- doxytag: inherits="Ogre::GLES2Context" -->
<p><code>#include &lt;<a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::EAGLES2Context:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1EAGLES2Context__inherit__graph.gif" border="0" usemap="#Ogre_1_1EAGLES2Context_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1EAGLES2Context_inherit__map" id="Ogre_1_1EAGLES2Context_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context." alt="" coords="13,5,160,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1EAGLES2Context-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a55f9c53a109b7260ec18b316f3fb3df7">~EAGLES2Context</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a452a3919ff2091faeda466e4e36c8c9a">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#a452a3919ff2091faeda466e4e36c8c9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a88a7ef089c9c3e724c5dbd8dc7a08bfa">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a88a7ef089c9c3e724c5dbd8dc7a08bfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a132851a65b78abc9b9bc3d03fc24f952">clone</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#a132851a65b78abc9b9bc3d03fc24f952"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a18eb62dc2fce058cebfb30f086c7ce3e">createFramebuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a9974ae7aef1c05a645f077ed62f18ba0">destroyFramebuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a15cc115c6f857dad066218f1225c4283"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a359315a655493a6fe376ba0cdcabce4e">mBackingWidth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#ade9e7725422baffd76ccf38d4a5f9fd2">mBackingHeight</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a2cce16127fd467d1fda244634122442c">mViewRenderbuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a58ce963a64f96b9ec948242207cc8e00">mViewFramebuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a1997bd4b4136bbc03f7350f396461c3c">mDepthRenderbuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#a63523609d2de7ec586293bf110d0eb71">mIsMultiSampleSupported</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#af2e0ef08416510b00a4c105d1776fe97">mNumSamples</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#add35e62c7aba143f019321b5cd8bade4">mFSAAFramebuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EAGLES2Context.html#af22903258df6568d82e7d09df47d6b0e">mFSAARenderbuffer</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00040">40</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a55f9c53a109b7260ec18b316f3fb3df7"></a><!-- doxytag: member="Ogre::EAGLES2Context::~EAGLES2Context" ref="a55f9c53a109b7260ec18b316f3fb3df7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1EAGLES2Context.html#a55f9c53a109b7260ec18b316f3fb3df7">Ogre::EAGLES2Context::~EAGLES2Context</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a132851a65b78abc9b9bc3d03fc24f952"></a><!-- doxytag: member="Ogre::EAGLES2Context::clone" ref="a132851a65b78abc9b9bc3d03fc24f952" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a>* <a class="el" href="classOgre_1_1EAGLES2Context.html#a132851a65b78abc9b9bc3d03fc24f952">Ogre::EAGLES2Context::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a51a9d3eec418eb63ccd740a674bd2afe">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="a18eb62dc2fce058cebfb30f086c7ce3e"></a><!-- doxytag: member="Ogre::EAGLES2Context::createFramebuffer" ref="a18eb62dc2fce058cebfb30f086c7ce3e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1EAGLES2Context.html#a18eb62dc2fce058cebfb30f086c7ce3e">Ogre::EAGLES2Context::createFramebuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9974ae7aef1c05a645f077ed62f18ba0"></a><!-- doxytag: member="Ogre::EAGLES2Context::destroyFramebuffer" ref="a9974ae7aef1c05a645f077ed62f18ba0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1EAGLES2Context.html#a9974ae7aef1c05a645f077ed62f18ba0">Ogre::EAGLES2Context::destroyFramebuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a88a7ef089c9c3e724c5dbd8dc7a08bfa"></a><!-- doxytag: member="Ogre::EAGLES2Context::endCurrent" ref="a88a7ef089c9c3e724c5dbd8dc7a08bfa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EAGLES2Context.html#a88a7ef089c9c3e724c5dbd8dc7a08bfa">Ogre::EAGLES2Context::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#aa17e4083d95a9ddaa4a57d3796266ddb">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="abd71a4bfddbdf111e429e9ff825af985"></a><!-- doxytag: member="Ogre::EAGLES2Context::getInitialized" ref="abd71a4bfddbdf111e429e9ff825af985" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">Ogre::GLES2Context::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15cc115c6f857dad066218f1225c4283"></a><!-- doxytag: member="Ogre::EAGLES2Context::releaseContext" ref="a15cc115c6f857dad066218f1225c4283" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">Ogre::GLES2Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a452a3919ff2091faeda466e4e36c8c9a"></a><!-- doxytag: member="Ogre::EAGLES2Context::setCurrent" ref="a452a3919ff2091faeda466e4e36c8c9a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EAGLES2Context.html#a452a3919ff2091faeda466e4e36c8c9a">Ogre::EAGLES2Context::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a934c8c93b407843c7bd6f1112730ac5f">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="aae3d4471c090572da0ced04cde4b87bf"></a><!-- doxytag: member="Ogre::EAGLES2Context::setInitialized" ref="aae3d4471c090572da0ced04cde4b87bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">Ogre::GLES2Context::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adb1cc0fc703a49897a6401dc264b39fa"></a><!-- doxytag: member="Ogre::EAGLES2Context::initialized" ref="adb1cc0fc703a49897a6401dc264b39fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">Ogre::GLES2Context::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00073">73</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="ade9e7725422baffd76ccf38d4a5f9fd2"></a><!-- doxytag: member="Ogre::EAGLES2Context::mBackingHeight" ref="ade9e7725422baffd76ccf38d4a5f9fd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLint <a class="el" href="classOgre_1_1EAGLES2Context.html#ade9e7725422baffd76ccf38d4a5f9fd2">Ogre::EAGLES2Context::mBackingHeight</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00065">65</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a359315a655493a6fe376ba0cdcabce4e"></a><!-- doxytag: member="Ogre::EAGLES2Context::mBackingWidth" ref="a359315a655493a6fe376ba0cdcabce4e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLint <a class="el" href="classOgre_1_1EAGLES2Context.html#a359315a655493a6fe376ba0cdcabce4e">Ogre::EAGLES2Context::mBackingWidth</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00064">64</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1997bd4b4136bbc03f7350f396461c3c"></a><!-- doxytag: member="Ogre::EAGLES2Context::mDepthRenderbuffer" ref="a1997bd4b4136bbc03f7350f396461c3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1EAGLES2Context.html#a1997bd4b4136bbc03f7350f396461c3c">Ogre::EAGLES2Context::mDepthRenderbuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00072">72</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="add35e62c7aba143f019321b5cd8bade4"></a><!-- doxytag: member="Ogre::EAGLES2Context::mFSAAFramebuffer" ref="add35e62c7aba143f019321b5cd8bade4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1EAGLES2Context.html#add35e62c7aba143f019321b5cd8bade4">Ogre::EAGLES2Context::mFSAAFramebuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00076">76</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="af22903258df6568d82e7d09df47d6b0e"></a><!-- doxytag: member="Ogre::EAGLES2Context::mFSAARenderbuffer" ref="af22903258df6568d82e7d09df47d6b0e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1EAGLES2Context.html#af22903258df6568d82e7d09df47d6b0e">Ogre::EAGLES2Context::mFSAARenderbuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00077">77</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a63523609d2de7ec586293bf110d0eb71"></a><!-- doxytag: member="Ogre::EAGLES2Context::mIsMultiSampleSupported" ref="a63523609d2de7ec586293bf110d0eb71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1EAGLES2Context.html#a63523609d2de7ec586293bf110d0eb71">Ogre::EAGLES2Context::mIsMultiSampleSupported</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00074">74</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="af2e0ef08416510b00a4c105d1776fe97"></a><!-- doxytag: member="Ogre::EAGLES2Context::mNumSamples" ref="af2e0ef08416510b00a4c105d1776fe97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1EAGLES2Context.html#af2e0ef08416510b00a4c105d1776fe97">Ogre::EAGLES2Context::mNumSamples</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00075">75</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a58ce963a64f96b9ec948242207cc8e00"></a><!-- doxytag: member="Ogre::EAGLES2Context::mViewFramebuffer" ref="a58ce963a64f96b9ec948242207cc8e00" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1EAGLES2Context.html#a58ce963a64f96b9ec948242207cc8e00">Ogre::EAGLES2Context::mViewFramebuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00069">69</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2cce16127fd467d1fda244634122442c"></a><!-- doxytag: member="Ogre::EAGLES2Context::mViewRenderbuffer" ref="a2cce16127fd467d1fda244634122442c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1EAGLES2Context.html#a2cce16127fd467d1fda244634122442c">Ogre::EAGLES2Context::mViewRenderbuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEAGLES2Context_8h_source.html#l00068">68</a> of file <a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreEAGLES2Context_8h_source.html">OgreEAGLES2Context.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:27
</p>
</body>
</html>
